Jump to content

Archived

This topic is now archived and is closed to further replies.

bsegonnes

aapt: /lib/libz.so.1: no version information

Recommended Posts

Concernant le message d'erreur :

aapt: /lib/libz.so.1: no version information available

J'ai trouvé la solution ! (ou contournement)

1) Dans Eclipse : Créer un nouveau Workspace

2) Créer un nouveau projet Android.

3) Petit à petit recopier les fichiers du projet sur lequel on travaille.

Des problèmes dans les .xml vont surgir, mais on peut les résoudre et ce nouveau projet/workspace reste OK.

Le pb (à mon avis), viens soit d'Eclipse (Workspace HS), soit du plugin Android. En effet le nouveau et anciens workspace ont bien tout les 2 le dernier plugin. Mais le nouveau Workspace/projet contient un fichier supplémentaire : proguard.cfg

En tout cas : aucun rapport avec libz !

Share this post


Link to post
Share on other sites

Bonjour et merci pour ta réponse, je viens d'avoir exactement le même problème sur mon eclipse suite à la maj, je vais tester ta solution.

EDIT: pour ma part problème solutionné comme ce qui suit:

SUppression des pluggins concernant android dans eclipse, puis on relance éclipse.

On ferme tous les projets et tous les sources ouverts.

On réinstalle les plugin pour android.

On réouvre le projet.

Et enfin il faut faire ça:

http://stackoverflow.com/questions/2194808/debug-certificate-expired-error-in-eclipse-android-plugins

Et tadaa tout remarche

Share this post


Link to post
Share on other sites

Bon visiblement ma solution a été de courte durée! Je relance eclipse et réouvre mon projet, et vlam la même erreur! Y a t'il une solution définitive???? ça devient vraiment lourd cette histoire!

EDIT: j'ai supprimé l'application du workspace, et uniquement du workspace, résultat: ça remarche, à voir si ça remarchera la prochaine fois!

Share this post


Link to post
Share on other sites

Ma solution 'usine à gaz' fonctionne bien depuis la date de mon post...

Sur un autre sujet : 'proguard'... pas terrible. Pour l'instant j'arrive pas à l'utiliser. Bon pas trop grave.

Sur W$ : j'ai eu la mauvaise idée de mettre des espaces dans les noms de répertoires :-)

Sur Linux : mon projet étant trop gros (trop de fichiers) : proguard plante. Trop de fichiers ouvert. Eclipse est ensuite HS. Mais, en relançant, çà redeviens OK.

Share this post


Link to post
Share on other sites





×
×
  • Create New...